/* filename:    irfplot.g
** description: The program plots the 
**              the DSGE impulse response functions
** created:     11/06/01
*/

new;
closeall;
library pgraph, user;
cls;
outwidth 256;

format /mat /on /mb1 /ros 16,8;

#include vb_spec.g; 
#include pathspec.g;

nirfplot = nirf_;
ti       = seqa(1,1,nirf_);
compare_ = 1;

/*  Load VAR IRF summaries
*/
lvarirf = resupath $+ "\\mhrun1\\varirfs";
open fhvarirf = ^lvarirf for read;

varirf_m     = readr(fhvarirf,1);
varirf_s     = readr(fhvarirf,1);
varirf_hpd_l = readr(fhvarirf,1);
varirf_hpd_h = readr(fhvarirf,1);

varirf_m     = reshape(varirf_m,nvar_,nirf_)';
varirf_hpd_l = reshape(varirf_hpd_l,nvar_,nirf_)';
varirf_hpd_h = reshape(varirf_hpd_h,nvar_,nirf_)';

closeall;

/*  Load VAR IRF summaries
*/
lvarirf = workpath $+ "\\vb_d1t1p1\\results\\mhrun1\\varirfs";
open fhvarirf = ^lvarirf for read;

varirf0_m     = readr(fhvarirf,1);
varirf0_s     = readr(fhvarirf,1);
varirf0_hpd_l = readr(fhvarirf,1);
varirf0_hpd_h = readr(fhvarirf,1);

varirf0_m     = reshape(varirf0_m,nvar_,nirf_)';
varirf0_hpd_l = reshape(varirf0_hpd_l,nvar_,nirf_)';
varirf0_hpd_h = reshape(varirf0_hpd_h,nvar_,nirf_)';

closeall;


/* Plot Impulse Response functions
*/

titlestr = "Output" $|
           "Inflation" $|
           "Interest Rates" $|
	       "Real Money"
           ;
                     
drawtics = (  -1    ~ 1   ~ 1 )  |
           (  -1    ~ 1   ~ 1 )  |
	       (  -1    ~ 1   ~ 1 )  |
           (  -2    ~ 1   ~ 1   )  ;
          
graphset;
begwind;
margin(0,0,0.2,0.2);
window(2,2,0);
fonts("microb");
_ptitlht = 0.4;
_paxht = 0.3;
_pnumht = 0.4;
 
/* _pmcolor = 0|0|0|0|0|0|0|0|15; */

_pltype = {3 3 6 6};
_pcolor = {4 4 3 3};
_plwidth = 8;
_protate = 0; 
_plctrl = 0;
_psymsiz = 3;
_protate = 0;
_pline = ( 1 ~ 1 ~ 0 ~ 0 ~ nirfplot ~ 0 ~ 4 ~ 1 );

pl_ind = 1;

do until pl_ind > 4;

   title(titlestr[pl_ind]);
   ytics(drawtics[pl_ind,1],drawtics[pl_ind,2],drawtics[pl_ind,3],2); 
   xtics(0,nirf_,8,1);
  
   if compare_ == 1;
      xy(ti[1:nirfplot], varirf_hpd_l[1:nirfplot,pl_ind] ~ varirf_hpd_h[1:nirfplot,pl_ind]
                       ~ varirf0_hpd_l[1:nirfplot,pl_ind] ~ varirf0_hpd_h[1:nirfplot,pl_ind] );
   else;
       xy(ti[1:nirfplot], varirf_hpd_l[1:nirfplot,pl_ind] ~ varirf_hpd_h[1:nirfplot,pl_ind] ~ varirf_m[1:nirfplot,pl_ind]);  
   endif;

   nextwind;
   
   pl_ind = pl_ind+1;
endo;
endwind;