/* filename:    irfplot.g
** description: The program plots the 
**              the DSGE impulse response functions
** created:     11/06/01
*/

new;
closeall;
library pgraph, user;
cls;
outwidth 256;

format /mat /on /mb1 /ros 16,8;

#include vf_spec.g; 
#include pathspec.g;

nirfplot = nirf_;
ti       = seqa(1,1,nirf_);

/*  Load VAR IRF summaries -- Frequentists Analysis - horizon 1
*/
//lvarirf = workpath $+ "\\vf_d1t1p1\\results\\freqrun0b\\varirfsfinal";
lvarirf = workpath $+ "\\..\\SignAndZeroFreqBonfIDset\\vf_d1t1p1\\results\\freqrun1idset\\varirfs";
open fhvarirf = ^lvarirf for read;

//dummyload = readr(fhvarirf,2);


varirf_freq_l1 = readr(fhvarirf,1);
varirf_freq_h1 = readr(fhvarirf,1);

varirf_freq_l1 = reshape(varirf_freq_l1,nvar_,nirf_)';
varirf_freq_h1 = reshape(varirf_freq_h1,nvar_,nirf_)';

closeall;

/*  Load VAR IRF summaries -- Frequentists Analysis - horizon 2
*/
lvarirf = workpath $+ "\\..\\SignAndZeroFreqBonfIDset\\vf_d1t1p1\\results\\freqrun1idset\\varirfs";
//lvarirf = workpath $+ "\\..\\Bayes4\\vb_d1t1p3\\results\\mhrun1\\varirfs";
open fhvarirf = ^lvarirf for read;

//dummyload = readr(fhvarirf,2);

varirf_freq_l2 = readr(fhvarirf,1);
varirf_freq_h2 = readr(fhvarirf,1);

varirf_freq_l2 = reshape(varirf_freq_l2,nvar_,nirf_)';
varirf_freq_h2 = reshape(varirf_freq_h2,nvar_,nirf_)';

closeall;

/*  Load VAR IRF summaries -- Frequentists Analysis - zero + sign restrictions
*/
lvarirf = workpath $+ "\\..\\SignAndZeroFreqBonfIDset\\vf_d1t1p1\\results\\freqrun1idset\\varirfs";
//lvarirf = workpath $+ "\\..\\Bayes3\\vb_d1t1p1\\results\\mhrun1\\varirfs";
open fhvarirf = ^lvarirf for read;

//dummyload = readr(fhvarirf,2);

varirf_freq_l3 = readr(fhvarirf,1);
varirf_freq_h3 = readr(fhvarirf,1);

varirf_freq_l3 = reshape(varirf_freq_l3,nvar_,nirf_)';
varirf_freq_h3 = reshape(varirf_freq_h3,nvar_,nirf_)';

closeall;

/* Plot Impulse Response functions
*/

titlestr = "Output" $|
           "Inflation" $|
           "Interest Rates" $|
	       "Real Money"
           ;
                     
drawtics = (  -2    ~ 2   ~ 1 )  |
           (  -1    ~ 1   ~ 1 )  |
	       (  -1    ~ 2   ~ 1 )  |
           (  -3    ~ 2   ~ 1   )  ;
          
graphset;
begwind;
margin(0,0,0.2,0.2);
window(2,2,0);
fonts("microb");
_ptitlht = 0.4;
_paxht = 0.3;
_pnumht = 0.3;
 
/* _pmcolor = 0|0|0|0|0|0|0|0|15; */

_pltype = {3 3 6 6 1 1};
_pcolor = {4 4 1 1 2 2};
_plwidth = 8;
_protate = 0; 
_plctrl = 0;
_psymsiz = 3;
_protate = 0;
_pline = ( 1 ~ 1 ~ 0 ~ 0 ~ nirfplot ~ 0 ~ 4 ~ 1 );

pl_ind = 1;

do until pl_ind > 4;

   title(titlestr[pl_ind]);
   ytics(drawtics[pl_ind,1],drawtics[pl_ind,2],drawtics[pl_ind,3],1); 
   xtics(0,nirf_,8,1);
   xy(ti[1:nirfplot], varirf_freq_l1[1:nirfplot,pl_ind] 
                    ~ varirf_freq_h1[1:nirfplot,pl_ind]  
                    ~ varirf_freq_l2[1:nirfplot,pl_ind] 
                    ~ varirf_freq_h2[1:nirfplot,pl_ind] 
                    ~ varirf_freq_l3[1:nirfplot,pl_ind] 
                    ~ varirf_freq_h3[1:nirfplot,pl_ind] );
   nextwind;
   
   pl_ind = pl_ind+1;
endo;
endwind;

end;